Skip to main content
POST
/
streams
/
{id}
/
load
Initialize load job
curl --request POST \
  --url https://api.prequel.co/import/streams/{id}/load \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "record_ids": [
    "<string>"
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "submitted_at": "2023-11-07T05:31:56Z",
  "stream_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "started_at": "2023-11-07T05:31:56Z",
  "ended_at": "2023-11-07T05:31:56Z",
  "records_processed": 123,
  "records_transformed": 123,
  "records_valid": 123,
  "records_loaded": 123,
  "records_errored": 123,
  "error": {
    "error_code": "<string>",
    "title": "<string>",
    "message": "<string>",
    "blame": "<string>",
    "documentation_url": "<string>",
    "trace": "<string>"
  }
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Body

application/json
record_ids
string[]

Response

Accepted

id
string<uuid>
required
submitted_at
string<date-time>
required
stream_id
string<uuid>
required
started_at
string<date-time> | null
ended_at
string<date-time> | null
records_processed
integer
records_transformed
integer
records_valid
integer
records_loaded
integer
records_errored
integer
error
object